with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGAnimatedPathData_Interface is

   procedure Initialize (This : in out ISVGAnimatedPathData_Type) is
   begin
      Set_IID (This, IID_ISVGAnimatedPathData);
   end Initialize;

   function Pointer (This : ISVGAnimatedPathData_Type)
     return Pointer_To_ISVGAnimatedPathData
   is
   begin
      return To_Pointer_To_ISVGAnimatedPathData (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGAnimatedPathData_Type;
                     Pointer : in     Pointer_To_ISVGAnimatedPathData)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure PutRef_pathSegList
     (This : ISVGAnimatedPathData_Type;
      p    : Pointer_To_ISVGPathSegList)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_pathSegList
         (Pointer (This),
          p));

   end PutRef_pathSegList;

   function Get_pathSegList
     (This : ISVGAnimatedPathData_Type)
     return Pointer_To_ISVGPathSegList
   is
       RetVal : aliased Pointer_To_ISVGPathSegList;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_pathSegList
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_pathSegList;

   procedure PutRef_normalizedPathSegList
     (This : ISVGAnimatedPathData_Type;
      p    : Pointer_To_ISVGPathSegList)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_normalizedPathSegList
         (Pointer (This),
          p));

   end PutRef_normalizedPathSegList;

   function Get_normalizedPathSegList
     (This : ISVGAnimatedPathData_Type)
     return Pointer_To_ISVGPathSegList
   is
       RetVal : aliased Pointer_To_ISVGPathSegList;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_normalizedPathSegList
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_normalizedPathSegList;

   procedure PutRef_animatedPathSegList
     (This : ISVGAnimatedPathData_Type;
      p    : Pointer_To_ISVGPathSegList)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_animatedPathSegList
         (Pointer (This),
          p));

   end PutRef_animatedPathSegList;

   function Get_animatedPathSegList
     (This : ISVGAnimatedPathData_Type)
     return Pointer_To_ISVGPathSegList
   is
       RetVal : aliased Pointer_To_ISVGPathSegList;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_animatedPathSegList
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_animatedPathSegList;

   procedure PutRef_animatedNormalizedPathSegList
     (This : ISVGAnimatedPathData_Type;
      p    : Pointer_To_ISVGPathSegList)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_animatedNormalizedPathSegList
         (Pointer (This),
          p));

   end PutRef_animatedNormalizedPathSegList;

   function Get_animatedNormalizedPathSegList
     (This : ISVGAnimatedPathData_Type)
     return Pointer_To_ISVGPathSegList
   is
       RetVal : aliased Pointer_To_ISVGPathSegList;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_animatedNormalizedPathSegList
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_animatedNormalizedPathSegList;

end MSHTML.ISVGAnimatedPathData_Interface;

